/* Generales*/
:root {
    --main-color: #1B57A4;
    --main-hover-color: #123c72;
    --main-disabled-color: #889db8;

    --black-color: #2C2C2C;
}
html, body {
    margin: 0;
    font-family: Arial, sans-serif;
    background-color: #F5F7F8;
    color: var(--black-color);
    font-size: 16px;
}

/* Barra general del sitio */
#navbar{
    padding: 5px 0px 5px 0px;
    margin-bottom: 0rem;
}
#navbar > div{
    margin: 0 !important;
    padding: 0 !important;
}
#navbar img{
    max-height: 5rem;
}
#how-participate-button{
    text-align: center;
    padding: 4px 5px;
}
#navbar #bible-version{
    text-align: center;
}
#navbar #site-configuration{
    font-size: 1.5rem !important;
    cursor: pointer;
    color: var(--main-color);
}
#navbar #site-configuration:hover{
    cursor: pointer;
    color: var(--main-hover-color);
}

/* Informacion General de la Guia*/
#guide-general-info{
    text-align: center !important;
    padding: 0;
    margin: 0;
}
#guide-general-info span{
    text-align: center;
    font-weight: bold;
    word-spacing: 10px;
    letter-spacing: 3px;
}
#main-verse-button {
    background: transparent;
    padding: 0px 15px;
    border-radius: 5px;
    color: var(--black-color);
    border: 3px solid var(--black-color);
    word-spacing: 10px;
    letter-spacing: 3px;
    white-space: nowrap;
    font-weight: bold;
    text-transform: uppercase;
}
#main-verse-button:hover {
    background-color: var(--black-color);
    color: #fff;
    cursor: pointer;
    border: 3px solid var(--black-color);
}

/* Botones del slider */
#slider-buttons{
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
    margin-top: 5px;
}
#slider-buttons button {
    background: transparent;
    border: none;
    font-size: 2.5rem !important;
    color: var(--main-color);
    padding: 0px 8px;
}
#slider-buttons button:hover {
    color: var(--main-hover-color);
    cursor: pointer;
}
#slider-buttons button:disabled {
    color: var(--main-disabled-color);
}

#slider-buttons #slider-info {
    color: var(--main-color);
    text-align: center;
}

#slider-info span{
    display: block;
}

#slider-info span#block-title{
    font-weight: bold;
    word-spacing: 10px;
    letter-spacing: 3px;
}

#slider-info span#block-caption{
    word-spacing: 5px;
    letter-spacing: 2px;
    color: #fff;
    background-color: var(--main-color);
    padding: 3px 15px;
    border-radius: 3px;
}

/* Deslizador de bloques*/
#slider-blocks{
    overflow-y: auto;
    display: flex;
}
#slider-blocks .block{
    display: none;
    min-width: 100%;
}

/* Contenido del bloque */
.block .block-content{
    width: 100%;
    height: 100%;
    padding: 1rem .5rem 0rem .5rem;
}
.block-content .block-description{
    text-align: justify;
    color: var(--main-color);
    font-weight: bold;
    margin-bottom: 5px;
}
.block-content .block-verses{
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-end; /* Alinea los botones a la derecha */
    gap: 10px; /* Espacio entre los botones */
    margin-top: 10px;
}
@media (max-width: 768px) {
    .block-content .block-verses {
        justify-content: center; /* Alinea los botones al centro en dispositivos móviles */
    }
}
.block-content button, .btn-primary {
    background: transparent;
    padding: 0px 15px;
    border-radius: 5px;
    color: var(--main-color);
    border: 3px solid var(--main-color);
    white-space: nowrap;
    font-weight: bold;
}
.block-content button:hover, .btn-primary:hover {
    background-color: var(--main-hover-color);
    color: #fff;
    cursor: pointer;
    border: 3px solid var(--main-hover-color);
}
.block-content .block-reasons{
    margin-top: 1rem;
    margin-bottom: 5rem;
    text-align: justify;
}
.block-content .block-reasons ol{
    padding: 0;
    margin: 0;
}
.block-content .block-reasons ol li{
    margin-top: 20px;
    list-style: none;
}
.block-content .block-reasons li p{
    margin: 0;
    margin-bottom: 5px;
}

/* Modals */
.modal{
    font-family: Arial, sans-serif;
}
.modal-header{
    background-color: var(--main-color);
    color: #fff !important;
    font-weight: bold;
    text-transform: uppercase;
}
.modal-body{
    text-align: justify;
}
.modal-body p{
    text-align: justify;
}
/* Modal de Versos */
#verse-modal .modal-body p sup{
    padding: 0px 5px;
    font-weight: bold;
}

/* Modal con información de participacion */
#how-participate-modal .modal-body li{
    margin-bottom: 10px;
}
#how-participate-modal .modal-body ul li{
    color: var(--main-color);
    font-weight: bold;
}

/* Modal de silenciar dispositivos */
#silence-device-modal .modal-body img {
    max-width: 8rem;
    height: auto;
    display: block;
    margin: 15px auto 15px;
    border-radius: 8px;
}

/*Configuracion del sitio*/
.color-option {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    display: inline-block;
    cursor: pointer;
    margin: 5px;
    border: 2px solid transparent;
}
.color-option.selected {
    border: 2px solid black;
}
.font-option {
    display: inline-block;
    width: 60px;
    height: 40px;
    text-align: center;
    line-height: 40px;
    cursor: pointer;
    border: 2px solid transparent;
    margin: 5px;
}
.font-option.selected {
    border: 2px solid black;
}
.small-text { font-size: 14px; }
.medium-text { font-size: 16px; }
.large-text { font-size: 20px; }

/* Spinner de carga */
.loading-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1050;
}